3C589_CS(4)

NAME
3c589_cs - 3Com 3c589 Etherlink III device driver

SYNOPSIS
insmod 3c589_cs.o [pc_debug=n] [tc589_debug=n] [if_port=n] [irq_list=i,j,...]

DESCRIPTION
3c589_cs is the low-level Card Services driver for the 3Com 3c589 PCMCIA ethernet adapter and 3Com 3c562/3c563 combo cards. When this driver is attached to a card, it allocates the next available ethernet device (eth0..eth#). This device name will be reported in the kernel log file, and passed on to cardmgr(8).

The driver will attempt to autodetect the transceiver type (10base2 or 10baseT) when an ethernet device is opened. If the autodetection is unsuccessful, it may be necessary to specify the specify the interface type when the module is loaded or with the ifport command.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

tc589_debug=n
    Selects the network debugging level. The current default is 3; values of up to six increase reporting verbosity.

if_port=n
    Selects the transceiver type. 0 is autodetect (10baseT or 10base2), 1 is 10baseT (twisted pair), 2 is 10base2 (BNC, or thin net). and 3 is AUI (thick ethernet). The default is 0 (autodetect).

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

AUTHOR
David Hinds - dhinds@hyper.stanford.edu

SEE ALSO
cardmgr(8), pcmcia(5), ioport(8).